package com.eactive.eai.rms.onl.apim.portalfaq;

import com.eactive.apim.portal.portalfaq.entity.PortalFaq;
import org.mapstruct.*;

@Mapper(componentModel = "spring", unmappedTargetPolicy = ReportingPolicy.IGNORE)
public interface PortalFaqUIMapper {

    PortalFaqUI toVo(PortalFaq entity);

    @InheritInverseConfiguration
    PortalFaq toEntity(PortalFaqUI vo);

    @InheritInverseConfiguration
    @BeanMapping(nullValuePropertyMappingStrategy = NullValuePropertyMappingStrategy.IGNORE)
    void updateToEntity(PortalFaqUI portalFaqUI, @MappingTarget PortalFaq portalFaq);

}
